Bug 443046 - Doesn't check for space when creating overlay, trashes filesystem
Doesn't check for space when creating overlay, trashes filesystem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 08:21 EDT by Mary Ellen Foster
Modified: 2008-05-15 09:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: 017-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 09:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2008-04-18 08:21:56 EDT
Description of problem:
I just tried putting the preview release onto a 2Gb USB stick that already had
some other files on it, using a 1000Mb overlay. It seems that the process ran
out of space and trashed the file system; it's hard to tell exactly what
happened. Here's a trace:

[mef@floopy Fedora-9-Preview-i686-Live-KDE]$ sudo livecd-iso-to-disk
--overlay-size-mb 1000 Fedora-9-Preview-i686-Live-KDE.iso /dev/sdb1
Verifying image...
Fedora-9-Preview-i686-Live-KDE.iso:   3a717f845323e702d6e93265b7d86c85
Fragment sums: 97bbf1ace9f62a26a619db6bb4268ea18ca1dd3bfa4bb4b5b8c2a11887eb
Fragment count: 20
100.0%
The media check is complete, the result is: PASS.

It is OK to use this media.
Already set up as live image.  Deleting old in fifteen seconds...
Copying live image to USB stick
Updating boot config file
Initializing persistent overlay file
dd: writing `/media/usbdev.dD3392/LiveOS/overlay-MEFOSTER-4705-EE9F': No space
left on device
955+0 records in
954+0 records out
1001103360 bytes (1.0 GB) copied, 153.513 s, 6.5 MB/s
sed: couldn't flush /media/usbdev.dD3392/syslinux//sedFErm3w: No space left on
device
sed: couldn't flush /media/usbdev.dD3392/syslinux//sed2FsGfx: No space left on
device
Installing boot loader
No free cluster 0 266247
write in copy: No space left on device
s:/syslinux/ldlinux.sys: no match for target
mmove: File "s:/ldlinux.sys" not found
syslinux: warning: unable to move ldlinux.sys
mattrib: File "s:/ldlinux.sys" not found
syslinux: warning: failed to set system bit on ldlinux.sys
USB stick set up as live image!

And if I try to mount the stick now and "ls" it, it has no free space and I get
the following ("hri2008" and "nijmegen-20080318" are pre-existing directories):

[mef@floopy MEFOSTER]$ ls
ls: cannot access
syslin.ux: Input/output error
ls: cannot access ë┬eit
                       fb.f9: Input/output error
ls: cannot access └t    ┤╗.═δ: Input/output error
ls: cannot access .f½Γ: Input/output error
■?▓>▓-|{      ?.f½Γ         hri2008             -.s         └t?┤?╗?.═?δ
ë┬eit?fb.f9?  ?(~f║?²m.┴f¡  nijmegen-20080318  ??syslin.ux

Version-Release number of selected component (if applicable):
livecd-tools-015-1.fc9

Additional info:
I had to recreate the file system on the stick in order to use it again.
Comment 1 Jeremy Katz 2008-04-18 15:56:49 EDT
Fixed in git
Comment 2 Bug Zapper 2008-05-14 05:37:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Paul W. Frields 2008-05-15 09:45:54 EDT
This WORKSFORME in F9:

$ livecd-iso-to-disk --noverify --overlay-size-mb 1024
livecd-fedora-9-desktop-200805150852.iso /dev/sdb1 
Unable to fit live image + overlay on available space on USB stick
Size of live image: 688
Overlay size: 1024
Available space: 1663
Cleaning up to exit...

Note You need to log in before you can comment on or make changes to this bug.